{
	"name": "form/nc/nc-load/nc-load.json",
	"layout": {
		"component": "nc-form",
		"attribute": {
			"id": "nc-load"
		},
		"element": [
			{
				"component": "nc-row",
				"element": [
					{
						"component": "nc-memory-stats"
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "1/12"
						},
						"element": [
							{
								"component": "nc-header",
								"text": "Load",
								"attribute": {
									"model": "hdr.load.load",
									"size": "large"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"class": ["nc-space-evenly"],
							"width": "auto"
						},
						"element": [
							{
								"component": "nc-checkbox",
								"text": "Only started",
								"attribute": {
									"model": "rec.only_started",
									"hdr": "hdr.only_started"
								}
							},
							{
								"component": "nc-checkbox",
								"text": "Only open",
								"attribute": {
									"model": "rec.only_open",
									"hdr": "hdr.only_open"
								}
							},
							{
								"component": "nc-checkbox",
								"text": "Show first work",
								"attribute": {
									"model": "rec.show_first_work",
									"hdr": "hdr.show_first_work"
								}
							},
							{
								"component": "nc-checkbox",
								"text": "Show info",
								"attribute": {
									"model": "rec.show_info",
									"hdr": "hdr.show_info"
								}
							},
							{
								"component": "nc-checkbox",
								"text": "Show connections",
								"attribute": {
									"model": "rec.show_connection",
									"hdr": "hdr.show_connection"
								}
							},
							{
								"component": "nc-checkbox",
								"text": "Create schedule",
								"attribute": {
									"model": "rec.create_schedule",
									"v-on:click": "update('update')"
								}
							},
							{
								"component": "nc-checkbox",
								"text": "Show sales",
								"attribute": {
									"model": "rec.virtual_production_order",
									"v-on:click": "update('update')"
								}
							},
							{
								"component": "nc-checkbox",
								"text": "Old capacity",
								"attribute": {
									"v-if": "rec.show_old",
									"model": "rec.old_capacity",
									"hdr": "hdr.old_capacity",
									"v-on:click": "update('capacity')"
								}
							},
							{
								"component": "nc-checkbox",
								"text": "Old work date",
								"attribute": {
									"v-if": "rec.show_old",
									"model": "rec.old_work_date",
									"hdr": "hdr.old_work_date",
									"v-on:click": "update('work_date')"
								}
							},
							{
								"component": "nc-checkbox",
								"text": "Incremental",
								"attribute": {
									"model": "rec.incremental_update",
									"v-on:click": "update('capacity')"
								}
							},
							{
								"component": "nc-checkbox",
								"text": "Reload",
								"attribute": {
									"model": "rec.reload_data",
									"hdr": "hdr.reload_data",
									"v-on:click": "update('capacity')"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "2em"
						}
					},
					{
						"component": "nc-col",
						"attribute": {
							"class": ["nc-end-h"],

							"width": "1/12"
						},
						"element": [
							{
								"component": "nc-button",
								"attribute": {
									"style": "margin-right: 0px",
									"v-on:click": "update('update')"
								},
								"element": [
									{
										"component": "nc-icon",
										"attribute": {
											"icon": "search"
										}
									},
									{
										"component": "nc-translate",
										"text": "Update",
										"attribute": {
											"model": "hdr.stock.update"
										}
									}
								]
							}
						]
					}
				]
			},
			{
				"component": "nc-divider",
				"attribute": {
					"class": ["small"]
				}
			},
			{
				"component": "nc-row",
				"element": [
					{
						"component": "nc-col",
						"attribute": {
							"width": "1/1",
							"height": "calc(100vh - 12em)"
						},
						"element": [
							{
								"component": "nc-gantt-chart",
								"attribute": {
									":data": "rec.gantt_data",
									":update": "rec.gantt_update"
								}
							}
						]
					}
				]
			}
		]
	}
}
